import { ConfigService } from '@nestjs/config';
import { Strategy } from 'passport-jwt';
import { PrismaService } from '../../prisma/prisma.service';
declare const JwtStrategy_base: new (...args: any[]) => InstanceType<typeof Strategy>;
export declare class JwtStrategy extends JwtStrategy_base {
    private prisma;
    constructor(config: ConfigService, prisma: PrismaService);
    validate(payload: {
        sub: string;
        email: string;
    }): Promise<{
        id: string;
        firstName: string;
        lastName: string;
        pseudo: string;
        hash: string;
        email: string;
        roleId: string;
        isActive: boolean;
        city: string;
        dollarAvailables: number;
        age: number;
        created_at: Date;
        updated_at: Date;
    }>;
}
export {};
