import { User } from '@prisma/client';
import { CryptoService } from './crypto.service';
import { CryptoDto } from './dto';
import { BuyCryptoDto } from './dto/buy.crypto.dto';
export declare class CryptoController {
    private cryptoService;
    constructor(cryptoService: CryptoService);
    getAllPromoCodes(user: User): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    searchCrypto(user: User, cryptoName: string): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    CryptoHistory(user: User, cryptoId: string): Promise<{
        id: string;
        id_crypto: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    SellCrypto(dto: BuyCryptoDto, user: User): Promise<{
        id: string;
        id_user: string;
        id_crypto: string;
        amount: number;
        createdAt: Date;
        updated_at: Date;
    }>;
    createPromoCode(dto: CryptoDto, user: User): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }>;
    buyCrypto(dto: BuyCryptoDto, user: User): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }>;
}
