"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CryptoController = void 0;
const common_1 = require("@nestjs/common");
const decorator_1 = require("../auth/decorator");
const swagger_1 = require("@nestjs/swagger");
const crypto_service_1 = require("./crypto.service");
const dto_1 = require("./dto");
const guard_1 = require("../auth/guard");
const buy_crypto_dto_1 = require("./dto/buy.crypto.dto");
let CryptoController = class CryptoController {
    constructor(cryptoService) {
        this.cryptoService = cryptoService;
    }
    getAllPromoCodes(user) {
        return this.cryptoService.getCryptos(user.id);
    }
    searchCrypto(user, cryptoName) {
        return this.cryptoService.searchCryptos(user.id, cryptoName);
    }
    CryptoHistory(user, cryptoId) {
        return this.cryptoService.getCryptoHistory(user.id, cryptoId);
    }
    SellCrypto(dto, user) {
        return this.cryptoService.sellCryto(user.id, dto);
    }
    createPromoCode(dto, user) {
        return this.cryptoService.createCrypto(user.id, dto);
    }
    buyCrypto(dto, user) {
        return this.cryptoService.buyCrypto(user.id, dto);
    }
};
exports.CryptoController = CryptoController;
__decorate([
    (0, common_1.Get)('/all'),
    __param(0, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "getAllPromoCodes", null);
__decorate([
    (0, common_1.Get)('/search/:name'),
    __param(0, (0, decorator_1.GetUser)()),
    __param(1, (0, common_1.Param)('name')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "searchCrypto", null);
__decorate([
    (0, common_1.Get)('/history/:id'),
    __param(0, (0, decorator_1.GetUser)()),
    __param(1, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "CryptoHistory", null);
__decorate([
    (0, common_1.Post)('/sell'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [buy_crypto_dto_1.BuyCryptoDto, Object]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "SellCrypto", null);
__decorate([
    (0, common_1.HttpCode)(common_1.HttpStatus.CREATED),
    (0, common_1.Post)('/create'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [dto_1.CryptoDto, Object]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "createPromoCode", null);
__decorate([
    (0, common_1.Post)('/buy'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [buy_crypto_dto_1.BuyCryptoDto, Object]),
    __metadata("design:returntype", void 0)
], CryptoController.prototype, "buyCrypto", null);
exports.CryptoController = CryptoController = __decorate([
    (0, common_1.UseGuards)(guard_1.JwtGuard),
    (0, swagger_1.ApiTags)('crypto'),
    (0, common_1.Controller)('crypto'),
    __metadata("design:paramtypes", [crypto_service_1.CryptoService])
], CryptoController);
//# sourceMappingURL=crypto.controller.js.map