import { PrismaService } from '../prisma/prisma.service';
import { CryptoDto } from './dto';
import { BuyCryptoDto } from './dto/buy.crypto.dto';
export declare class CryptoService {
    private prisma;
    constructor(prisma: PrismaService);
    getCryptos(userId: string): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    searchCryptos(userId: string, cryptoName: string): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    getCryptoHistory(userId: string, cryptoId: string): Promise<{
        id: string;
        id_crypto: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }[]>;
    sellCryto(userId: string, dto: BuyCryptoDto): Promise<{
        id: string;
        id_user: string;
        id_crypto: string;
        amount: number;
        createdAt: Date;
        updated_at: Date;
    }>;
    createCrypto(userId: string, dto: CryptoDto): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }>;
    buyCrypto(userId: string, dto: BuyCryptoDto): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }>;
    editCryptoById(userId: string, cryptoId: string, dto: CryptoDto): Promise<{
        id: string;
        name: string;
        value: number;
        image: string;
        quantity: number;
        created_at: Date;
        updated_at: Date;
    }>;
    deleteCryptoById(userId: string, id: string): Promise<void>;
}
