"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CryptoDto = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_validator_1 = require("class-validator");
class CryptoDto {
}
exports.CryptoDto = CryptoDto;
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Cryptocurrency name',
        example: 'BTC',
    }),
    (0, class_validator_1.MaxLength)(50),
    (0, class_validator_1.MinLength)(1),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CryptoDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: Number,
        description: 'Value for the cryptocurrency in $',
        example: 1,
    }),
    (0, class_validator_1.Min)(1),
    (0, class_validator_1.Max)(10000),
    (0, class_validator_1.IsPositive)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CryptoDto.prototype, "value", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: Number,
        description: 'Quantity of tokens available on the platform',
        example: 100,
    }),
    (0, class_validator_1.Min)(1),
    (0, class_validator_1.Max)(10000),
    (0, class_validator_1.IsPositive)(),
    (0, class_validator_1.IsNumber)(),
    __metadata("design:type", Number)
], CryptoDto.prototype, "quantity", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: String,
        description: 'Image for the cryptocurrency in ',
        example: 'https://myImage/com',
    }),
    (0, class_validator_1.MaxLength)(255),
    (0, class_validator_1.IsUrl)(),
    (0, class_validator_1.IsString)(),
    __metadata("design:type", String)
], CryptoDto.prototype, "image", void 0);
//# sourceMappingURL=crypto.dto.js.map