import { User } from '@prisma/client';
import { OfferService } from './offer.service';
import { OfferDto } from './dto';
export declare class OfferController {
    private offerService;
    constructor(offerService: OfferService);
    getAllOffers(user: User): Promise<{
        id: string;
        created_at: Date;
        User: {
            pseudo: string;
        };
        amount: number;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        id_user: string;
    }[]>;
    getOffersByCryptoId(user: User, cryptoId: string): Promise<{
        id: string;
        created_at: Date;
        User: {
            pseudo: string;
        };
        amount: number;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        id_user: string;
    }[]>;
    createRole(dto: OfferDto, user: User): Promise<{
        id: string;
        id_crypto: string;
        id_user: string;
        amount: number;
        created_at: Date;
        updated_at: Date;
    }>;
    editOfferById(offerId: string, dto: OfferDto, user: User): Promise<{
        id: string;
        id_crypto: string;
        id_user: string;
        amount: number;
        created_at: Date;
        updated_at: Date;
    }>;
    deleteOfferById(roleId: string, user: User): Promise<void>;
}
