"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OfferController = void 0;
const common_1 = require("@nestjs/common");
const decorator_1 = require("../auth/decorator");
const swagger_1 = require("@nestjs/swagger");
const guard_1 = require("../auth/guard");
const offer_service_1 = require("./offer.service");
const dto_1 = require("./dto");
let OfferController = class OfferController {
    constructor(offerService) {
        this.offerService = offerService;
    }
    getAllOffers(user) {
        return this.offerService.getOffers(user.id);
    }
    getOffersByCryptoId(user, cryptoId) {
        return this.offerService.getOffersByCrypto(user.id, cryptoId);
    }
    createRole(dto, user) {
        return this.offerService.createOffer(user.id, dto);
    }
    editOfferById(offerId, dto, user) {
        return this.offerService.editOfferById(user.id, offerId, dto);
    }
    deleteOfferById(roleId, user) {
        return this.offerService.deleteOfferById(user.id, roleId);
    }
};
exports.OfferController = OfferController;
__decorate([
    (0, common_1.Get)('/all'),
    __param(0, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", void 0)
], OfferController.prototype, "getAllOffers", null);
__decorate([
    (0, common_1.Get)('/crypto/:id'),
    __param(0, (0, decorator_1.GetUser)()),
    __param(1, (0, common_1.Param)('id')),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, String]),
    __metadata("design:returntype", void 0)
], OfferController.prototype, "getOffersByCryptoId", null);
__decorate([
    (0, common_1.HttpCode)(common_1.HttpStatus.CREATED),
    (0, common_1.Post)('/create'),
    __param(0, (0, common_1.Body)()),
    __param(1, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [dto_1.OfferDto, Object]),
    __metadata("design:returntype", void 0)
], OfferController.prototype, "createRole", null);
__decorate([
    (0, common_1.HttpCode)(common_1.HttpStatus.OK),
    (0, common_1.Patch)('/update/:id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, common_1.Body)()),
    __param(2, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, dto_1.OfferDto, Object]),
    __metadata("design:returntype", void 0)
], OfferController.prototype, "editOfferById", null);
__decorate([
    (0, common_1.HttpCode)(common_1.HttpStatus.NO_CONTENT),
    (0, common_1.Delete)('/delete/:id'),
    __param(0, (0, common_1.Param)('id')),
    __param(1, (0, decorator_1.GetUser)()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", void 0)
], OfferController.prototype, "deleteOfferById", null);
exports.OfferController = OfferController = __decorate([
    (0, common_1.UseGuards)(guard_1.JwtGuard),
    (0, swagger_1.ApiTags)('offer'),
    (0, common_1.Controller)('offer'),
    __metadata("design:paramtypes", [offer_service_1.OfferService])
], OfferController);
//# sourceMappingURL=offer.controller.js.map