import { PrismaService } from '../prisma/prisma.service';
import { OfferDto } from './dto';
export declare class OfferService {
    private prisma;
    constructor(prisma: PrismaService);
    getOffers(userId: string): Promise<{
        id: string;
        created_at: Date;
        User: {
            pseudo: string;
        };
        amount: number;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        id_user: string;
    }[]>;
    getOffersByCrypto(userId: string, cryptoId: string): Promise<{
        id: string;
        created_at: Date;
        User: {
            pseudo: string;
        };
        amount: number;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        id_user: string;
    }[]>;
    createOffer(userId: string, dto: OfferDto): Promise<{
        id: string;
        id_crypto: string;
        id_user: string;
        amount: number;
        created_at: Date;
        updated_at: Date;
    }>;
    editOfferById(userId: string, offerId: string, dto: OfferDto): Promise<{
        id: string;
        id_crypto: string;
        id_user: string;
        amount: number;
        created_at: Date;
        updated_at: Date;
    }>;
    deleteOfferById(userId: string, id: string): Promise<void>;
}
