import { User } from '@prisma/client';
import { PromoCodeDto } from './dto';
import { PromoCodeService } from './promoCode.service';
export declare class PromoCodeController {
    private promoService;
    constructor(promoService: PromoCodeService);
    getAllPromoCodes(user: User): Promise<{
        id: string;
        name: string;
        value: number;
    }[]>;
    createPromoCode(dto: PromoCodeDto, user: User): Promise<{
        id: string;
        name: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }>;
    editPromoCodeById(promoCodeId: string, dto: PromoCodeDto, user: User): Promise<{
        id: string;
        name: string;
        value: number;
        created_at: Date;
        updated_at: Date;
    }>;
    deletePromoCodeById(promoCodeId: string, user: User): Promise<void>;
}
