"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromoCodeService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
const checkUser_1 = require("../utils/checkUser");
let PromoCodeService = class PromoCodeService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async getPromoCodes(userId) {
        await (0, checkUser_1.checkuserIsAdmin)(userId);
        return this.prisma.promoCode.findMany({
            orderBy: {
                name: 'asc',
            },
            select: {
                id: true,
                name: true,
                value: true,
            },
        });
    }
    async createPromoCode(userId, dto) {
        await (0, checkUser_1.checkuserIsAdmin)(userId);
        const promoCode = await this.prisma.promoCode.create({
            data: {
                name: dto.name,
                value: dto.value,
            },
        });
        return promoCode;
    }
    async editPromoCodeById(userId, promoCodeId, dto) {
        await (0, checkUser_1.checkuserIsAdmin)(userId);
        const promoCode = await this.prisma.promoCode.findUnique({
            where: {
                id: promoCodeId,
            },
        });
        if (!promoCode || promoCode.id !== promoCodeId)
            throw new common_1.ForbiddenException('Access to resources denied');
        return this.prisma.promoCode.update({
            where: {
                id: promoCode.id,
            },
            data: {
                ...dto,
            },
        });
    }
    async deletePromoCodeById(userId, id) {
        await (0, checkUser_1.checkuserIsAdmin)(userId);
        const promoCode = await this.prisma.promoCode.findUnique({
            where: {
                id: id,
            },
        });
        if (!promoCode || promoCode.id !== id)
            throw new common_1.ForbiddenException('Access to resources denied');
        await this.prisma.promoCode.delete({
            where: {
                id: promoCode.id,
            },
        });
    }
};
exports.PromoCodeService = PromoCodeService;
exports.PromoCodeService = PromoCodeService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], PromoCodeService);
//# sourceMappingURL=promoCode.service.js.map