import { RoleDto } from './dto';
import { RoleService } from './role.service';
import { User } from '@prisma/client';
export declare class RoleController {
    private roleService;
    constructor(roleService: RoleService);
    getAllRoles(user: User): Promise<{
        id: string;
        name: string;
    }[]>;
    createRole(dto: RoleDto, user: User): Promise<{
        id: string;
        name: string;
        created_at: Date;
        updated_at: Date;
    }>;
    editRoleById(roleId: string, dto: RoleDto, user: User): Promise<{
        id: string;
        name: string;
        created_at: Date;
        updated_at: Date;
    }>;
    deleteRoleById(roleId: string, user: User): Promise<void>;
}
