import { User } from '@prisma/client';
import { TradeService } from './trade.service';
import { TradeDto } from './dto';
export declare class TradeController {
    private tradeService;
    constructor(tradeService: TradeService);
    getAllPromoCodes(user: User): Promise<{
        id: string;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        Giver: {
            firstName: string;
            lastName: string;
            pseudo: string;
            dollarAvailables: number;
        };
        Receiver: {
            firstName: string;
            lastName: string;
            pseudo: string;
            dollarAvailables: number;
        };
    }[]>;
    createPromoCode(dto: TradeDto, user: User): Promise<{
        id: string;
        id_giver: string;
        id_receiver: string;
        id_crypto: string;
        amount_traded: number;
        created_at: Date;
        updated_at: Date;
    }>;
}
