import { PrismaService } from '../prisma/prisma.service';
import { TradeDto } from './dto';
export declare class TradeService {
    private prisma;
    constructor(prisma: PrismaService);
    getTrades(userId: string): Promise<{
        id: string;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        Giver: {
            firstName: string;
            lastName: string;
            pseudo: string;
            dollarAvailables: number;
        };
        Receiver: {
            firstName: string;
            lastName: string;
            pseudo: string;
            dollarAvailables: number;
        };
    }[]>;
    getLastTrades(): Promise<{
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        amount_traded: number;
    }[]>;
    createTrade(userId: string, dto: TradeDto): Promise<{
        id: string;
        id_giver: string;
        id_receiver: string;
        id_crypto: string;
        amount_traded: number;
        created_at: Date;
        updated_at: Date;
    }>;
}
