import { UserService } from './user.service';
import { User } from '@prisma/client';
export declare class UserController {
    private userService;
    constructor(userService: UserService);
    GetMyAssets(user: User): Promise<{
        firstName: string;
        lastName: string;
        pseudo: string;
        age: number;
        dollarAvailables: number;
        UserHasCrypto: {
            id: string;
            amount: number;
            Crypto: {
                id: string;
                name: string;
                value: number;
                image: string;
                quantity: number;
                created_at: Date;
                updated_at: Date;
            };
        }[];
    }>;
    GetAlLAssets(user: User): Promise<{
        firstName: string;
        lastName: string;
        pseudo: string;
        dollarAvailables: number;
        UserHasCrypto: {
            amount: number;
            Crypto: {
                id: string;
                name: string;
                value: number;
                image: string;
                quantity: number;
                created_at: Date;
                updated_at: Date;
            };
        }[];
    }[]>;
    GetMyTrades(user: User): Promise<{
        id: string;
        created_at: Date;
        updated_at: Date;
        id_crypto: string;
        Crypto: {
            id: string;
            name: string;
            value: number;
            image: string;
            quantity: number;
            created_at: Date;
            updated_at: Date;
        };
        id_giver: string;
        id_receiver: string;
        amount_traded: number;
        Giver: {
            id: string;
            created_at: Date;
            updated_at: Date;
            firstName: string;
            lastName: string;
            pseudo: string;
            city: string;
            email: string;
            age: number;
            dollarAvailables: number;
            UserHasCrypto: {
                id: string;
                id_user: string;
                id_crypto: string;
                amount: number;
                createdAt: Date;
                updated_at: Date;
            }[];
            Offer: {
                id: string;
                id_crypto: string;
                id_user: string;
                amount: number;
                created_at: Date;
                updated_at: Date;
            }[];
        };
        Receiver: {
            id: string;
            created_at: Date;
            updated_at: Date;
            firstName: string;
            lastName: string;
            pseudo: string;
            city: string;
            email: string;
            age: number;
            dollarAvailables: number;
            UserHasCrypto: {
                id: string;
                id_user: string;
                id_crypto: string;
                amount: number;
                createdAt: Date;
                updated_at: Date;
            }[];
            Offer: {
                id: string;
                id_crypto: string;
                id_user: string;
                amount: number;
                created_at: Date;
                updated_at: Date;
            }[];
        };
    }[]>;
}
