"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserService = void 0;
const common_1 = require("@nestjs/common");
const prisma_service_1 = require("../prisma/prisma.service");
const checkUser_1 = require("../utils/checkUser");
let UserService = class UserService {
    constructor(prisma) {
        this.prisma = prisma;
    }
    async GetMyAssets(userId) {
        await (0, checkUser_1.checkUserHasAccount)(userId);
        const user = await this.prisma.user.findUnique({
            where: {
                id: userId,
            },
            select: {
                firstName: true,
                lastName: true,
                dollarAvailables: true,
                pseudo: true,
                age: true,
                UserHasCrypto: {
                    select: {
                        Crypto: true,
                        amount: true,
                        id: true,
                    },
                },
            },
        });
        return user;
    }
    async GetUsersAssets(userId) {
        await (0, checkUser_1.checkuserIsAdmin)(userId);
        const user = await this.prisma.user.findMany({
            select: {
                firstName: true,
                lastName: true,
                pseudo: true,
                dollarAvailables: true,
                UserHasCrypto: {
                    select: {
                        Crypto: true,
                        amount: true,
                    },
                },
            },
            take: 50,
            orderBy: {
                dollarAvailables: 'desc',
            },
        });
        return user;
    }
    async GetMyTrades(userId) {
        await (0, checkUser_1.checkUserHasAccount)(userId);
        const user = await this.prisma.trade.findMany({
            where: {
                OR: [{ id_giver: userId }, { id_receiver: userId }],
            },
            select: {
                Giver: {
                    select: {
                        id: true,
                        firstName: true,
                        lastName: true,
                        pseudo: true,
                        dollarAvailables: true,
                        city: true,
                        email: true,
                        age: true,
                        created_at: true,
                        updated_at: true,
                        UserHasCrypto: true,
                        Offer: true,
                    },
                },
                Receiver: {
                    select: {
                        id: true,
                        firstName: true,
                        lastName: true,
                        pseudo: true,
                        dollarAvailables: true,
                        city: true,
                        email: true,
                        age: true,
                        created_at: true,
                        updated_at: true,
                        UserHasCrypto: true,
                        Offer: true,
                    },
                },
                Crypto: true,
                id: true,
                id_giver: true,
                id_receiver: true,
                id_crypto: true,
                amount_traded: true,
                created_at: true,
                updated_at: true,
            },
        });
        return user;
    }
};
exports.UserService = UserService;
exports.UserService = UserService = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [prisma_service_1.PrismaService])
], UserService);
//# sourceMappingURL=user.service.js.map